<?xml version="1.0" encoding="UTF-8"?>
    <!--
        Author : wixu
    -->
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>
    
    <xsl:template match="/">
    <!-- REUNION
    -->
    <xsl:for-each select="//Reunion">
    <table border="1">
    <tr>
    <td><span style="color: yellow;"><b>REU</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Lugar</b></td>
    <td><xsl:value-of select="lugar"/></td>
    </tr>
    <tr>
    <td><b>Fecha</b></td>
    <td><xsl:value-of select="fecha"/></td>
    </tr>
    <tr>
    <td><b>Resultado</b></td>
    <td><xsl:value-of select="resultado"/></td>
    </tr>
    <tr>
    <td><b>Comentarios</b></td>
    <td><xsl:value-of select="comentarios"/></td>
    </tr>
    </table>
    <br></br>
    </xsl:for-each>
     <!-- FINAL REUNION
    -->
    <!-- ***********************************************************************
    -->

     <!-- PARTICIPANTE
    -->
    <xsl:for-each select="//Participante">
    <table border="1">
    <tr>
    <td><span style="color: grey;"><b>PAR</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Rol</b></td>
    <td><xsl:value-of select="rol"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Cliente</b></td>
    <td><xsl:value-of select="cliente"/></td>
    </tr>
    <tr>
    <td><b>Desarrollador</b></td>
    <td><xsl:value-of select="desarrollador"/></td>
    </tr>
    <tr>
    <td><b>Usuario</b></td>
    <td><xsl:value-of select="usuario"/></td>
    </tr>
    <tr>
    <td><b>Organizacion</b></td>
    <td><xsl:value-of select="Porganizacion"/></td>
    </tr>
    
    </table>
    <br></br>
    </xsl:for-each>
    <!-- FINAL PARTICIPANTE
    -->
    <!-- ***********************************************************************
    -->

    <!-- ORGANIZACION
    -->
    <xsl:for-each select="//Organizacion">
    <table border="1">
    <tr>
    <td><span style="color: blue;"><b>ORG</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Direccion</b></td>
    <td><xsl:value-of select="direccion"/></td>
    </tr>
    <tr>
    <td><b>Telefono</b></td>
    <td><xsl:value-of select="telefono"/></td>
    </tr>
    <tr>
    <td><b>Fax</b></td>
    <td><xsl:value-of select="fax"/></td>
    </tr>
    <tr>
    <td><b>Participantes asociados</b></td>
    <td><xsl:value-of select="participantesasociados"/></td>
    </tr>
    <tr>
    <td><b>Comentarios</b></td>
    <td><xsl:value-of select="comentarios"/></td>
    </tr>
    </table>
    <br></br>
    </xsl:for-each>
    <!-- FINAL ORGANIZACION
    -->
    <!-- ***********************************************************************
    -->

    <!-- REQUISITO FUNCIONAL
    -->
    <xsl:for-each select="//RequisitoFuncional">
    <br></br>
    <table border="1">
    <tr>
    <td><span style="color: green;"><b>FRQ</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Dependencias</b></td>
    <td><xsl:value-of select="dependencias"/></td>
    </tr>
    <tr>
    <td><b>Descripcion</b></td>
    <td><xsl:value-of select="descripcion"/></td>
    </tr>
    <tr>
    <td><b>Importancia</b></td>
    <td><xsl:value-of select="importancia"/></td>
    </tr>
    <tr>
    <td><b>Urgencia</b></td>
    <td><xsl:value-of select="urgencia"/></td>
    </tr>
    <tr>
    <td><b>Estado</b></td>
    <td><xsl:value-of select="estado"/></td>
    </tr>
    <tr>
    <td><b>Estabilidad</b></td>
    <td><xsl:value-of select="estabilidad"/></td>
    </tr>
    <tr>
    <td><b>Comentarios</b></td>
    <td><xsl:value-of select="comentarios"/></td>
    </tr>
    </table>
    <br></br>
    </xsl:for-each>
    <!-- FINAL REQUISITO FUNCIONAL
    -->
    <!-- ***********************************************************************
    -->

    <!-- OBJETIVO
    -->
    <xsl:for-each select="//Objetivo">
    <br></br>
    <table border="1">
    <tr>
    <td><span style="color: red;"><b>OBJ</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Dependencias</b></td>
    <td><xsl:value-of select="dependencias"/></td>
    </tr>
    <tr>
    <td><b>Descripcion</b></td>
    <td><xsl:value-of select="descripcion"/></td>
    </tr>
    <tr>
    <td><b>Importancia</b></td>
    <td><xsl:value-of select="importancia"/></td>
    </tr>
    <tr>
    <td><b>Urgencia</b></td>
    <td><xsl:value-of select="urgencia"/></td>
    </tr>
    <tr>
    <td><b>Estado</b></td>
    <td><xsl:value-of select="estado"/></td>
    </tr>
    <tr>
    <td><b>Estabilidad</b></td>
    <td><xsl:value-of select="estabilidad"/></td>
    </tr>
    <tr>
    <td><b>Comentarios</b></td>
    <td><xsl:value-of select="comentarios"/></td>
    </tr>
    </table>
    <br></br>
    </xsl:for-each>
    <!-- FINAL OBJETIVO
    -->
    <!-- ***********************************************************************
    -->

    <!-- REQUISITO NO FUNCIONAL
    -->
    <xsl:for-each select="//RequisitoNoFuncional">
    <br></br>
    <table border="1">
    <tr>
    <td><span style="color: green;"><b>NFRQ</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Dependencias</b></td>
    <td><xsl:value-of select="dependencias"/></td>
    </tr>
    <tr>
    <td><b>Descripcion</b></td>
    <td><xsl:value-of select="descripcion"/></td>
    </tr>
    <tr>
    <td><b>Importancia</b></td>
    <td><xsl:value-of select="importancia"/></td>
    </tr>
    <tr>
    <td><b>Urgencia</b></td>
    <td><xsl:value-of select="urgencia"/></td>
    </tr>
    <tr>
    <td><b>Estado</b></td>
    <td><xsl:value-of select="estado"/></td>
    </tr>
    <tr>
    <td><b>Estabilidad</b></td>
    <td><xsl:value-of select="estabilidad"/></td>
    </tr>
    <tr>
    <td><b>Comentarios</b></td>
    <td><xsl:value-of select="comentarios"/></td>
    </tr>
    </table>
    <br></br>
    </xsl:for-each>
    <!-- FINAL REQUISITO NO FUNCIONAL
    -->
    <!-- ***********************************************************************
    -->

    <!-- REQUISITO DE INFORMACION
    -->
    <xsl:for-each select="//RequisitoInformacion">
    <br></br>
    <table border="1">
    <tr>
    <td><span style="color: blue;"><b>IRQ</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Dependencias</b></td>
    <td><xsl:value-of select="dependencias"/></td>
    </tr>
    <tr>
    <td><b>Descripcion</b></td>
    <td><xsl:value-of select="descripcion"/></td>
    </tr>
    <!-- MIRAR
    -->
    <!-- Dentro de cada REQUISITO DE INFORMACION está DATOS ESPECIFICOS
    -->
    <tr>
    <td><b>Datos Especificos</b></td>
    <td><xsl:value-of select="datosEspecificos"/></td>
    </tr>
    <!-- FIN DE DATOS ESPECIFICOS
    -->
    <tr>
    <td><b>Tiempo de vida</b></td>
    <td><b>Medio</b>
    <tr><td><td><xsl:value-of select="tmedio"/></td></td></tr>
    </td>
    <td><td><b>Maximo</b>
    <tr><td><td><xsl:value-of select="tmaximo"/></td></td></tr>
    </td></td>
    </tr>
    <tr>
    <td><b>Ocurrencias simultaneas</b></td>
    <td><b>Medio</b>
    <tr><td><td><xsl:value-of select="medio"/></td></td></tr>
    </td>
    <td><td><b>Maximo</b>
    <tr><td><td><xsl:value-of select="maximo"/></td></td></tr>
    </td></td>
    </tr>
    <tr>
    <td><b>Importancia</b></td>
    <td><xsl:value-of select="importancia"/></td>
    </tr>
    <tr>
    <td><b>Urgencia</b></td>
    <td><xsl:value-of select="urgencia"/></td>
    </tr>
    <tr>
    <td><b>Estado</b></td>
    <td><xsl:value-of select="estado"/></td>
    </tr>
    <tr>
    <td><b>Estabilidad</b></td>
    <td><xsl:value-of select="estabilidad"/></td>
    </tr>
    <tr>
    <td><b>Comentarios</b></td>
    <td><xsl:value-of select="comentarios"/></td>
    </tr>
    </table>
    <br></br>
    </xsl:for-each>
    <!-- FINAL REQUISITO DE INFORMACION
    -->
    <!-- ***********************************************************************
    -->

    <!-- CASO DE USO
    -->
    <xsl:for-each select="//CasoDeUso">
    <br></br>
    <table border="1">
    <tr>
    <td><span style="color: blue;"> <b>CU</b></span></td>
    <td><xsl:value-of select="nombre"/></td>
    </tr>
    <tr>
    <td><b>Autores</b></td>
    <td><xsl:value-of select="autores"/></td>
    </tr>
    <tr>
    <td><b>Fuentes</b></td>
    <td><xsl:value-of select="fuentes"/></td>
    </tr>
    <tr>
    <td><b>Dependencias</b></td>
    <td><xsl:value-of select="dependencias"/></td>
    </tr>
    <tr>
    <td><b>Descripcion</b></td>
    <td><xsl:value-of select="descripcion"/></td>
    </tr>
    <tr>
    <td><b>Precondicion</b></td>
    <td><xsl:value-of select="precondicion"/></td>
    </tr>
    <!-- MIRAR
    -->
    <!-- Dentro de cada CASO DE USO está PASOS
    -->
    <tr>
    <td><b>Secuencia normal</b></td>
    <td><tr><b>Paso</b></tr>
    <tr><xsl:value-of select="paso"/></tr>
    </td>
 <!--   <td><b>Accion</b>
    <tr><b><xsl:value-of select="accion"/></b></tr>
    </td>-->
    </tr>
    <!-- FIN DE PASOS
    -->
    <tr>
    <td><b>Postcondicion</b></td>
    <td><xsl:value-of select="postcondicion"/></td>
    </tr>
    <!-- MIRAR
    -->
    <!-- Dentro de cada CASO DE USO con algun PASO está EXCEPCIONES
    -->
    <tr>
    <td><b>Excepciones</b></td>
    <td><xsl:value-of select="excepciones"/></td>
    </tr>
    <!-- FIN DE EXCEPCIONES
    -->
    <tr>
    <td><b>Rendimiento</b></td>
    <td><b>Tiempo maximo</b>
    <tr><xsl:value-of select="Rmaximo"/></tr>
    </td>
    </tr>
    <tr>
    <td><b>Frecuencia esperada</b></td>
    <td><xsl:value-of select="frecuencia"/></td>
    </tr>
    <tr>
    <td><b>Importancia</b></td>
    <td><xsl:value-of select="importancia"/></td>
    </tr>
    <tr>
    <td><b>Urgencia</b></td>
    <td><xsl:value-of select="urgencia"/></td>
    </tr>
    <tr>
    <td><b>Estado</b></td>
    <td><xsl:value-of select="estado"/></td>
    </tr>
    <tr>
    <td><b>Estabilidad</b></td>
    <td><xsl:value-of select="estabilidad"/></td>
    </tr>
    <tr>
    <td><b>Comentarios</b></td>
    <td><xsl:value-of select="comentarios"/></td>
    </tr>
    </table>
    <br></br>
    </xsl:for-each>
    <!-- FINAL CASO DE USO
    -->
    <!-- ***********************************************************************
    -->
    </xsl:template>
    </xsl:stylesheet>